/* LED counter GNOME panel applet
 * Insprired by Sixtyfour bit counter by Tim Gerla
 * and xled by Jan Schoenepauck <schoenep@uni-wuppertal.de>
 * and Joachim Gassen <gassen@uni-muenster.de>"
 *
 * By Uwe Steinmann <Uwe.Steinmann@fernuni-hagen.de>
 *
 * Enjoy.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or 
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License  
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __DISP_MANAGE_H__
#define __DISP_MANAGE_H__

#include <glib.h>

extern DISP_INFO *
       add_disp(GList **displist, DISP_INFO *disp_info);

extern DISP_INFO *
       get_disp(GList *displist, int number);

extern GList *
       remove_disp(GList *displist, DISP_INFO *disp_info);

extern DISP_INFO *
       get_first_disp(GList *displist);

extern DISP_INFO *
       get_last_disp(GList *displist);

extern DISP_INFO *
       get_next_disp(GList *displist, DISP_INFO *disp_info);

extern DISP_INFO *
       get_prev_disp(GList *displist, DISP_INFO *disp_info);

extern guint
       get_number_of_disp(GList *displist);

extern void
       switch_disp_data(DISP_INFO *disp_info1, DISP_INFO *disp_info2);
#endif
